Fedora Core 1 : ethereal-0.10.0a-0.1 (2003-040)

High Nessus Plugin ID 13668


The remote Fedora Core host is missing a security update.


Serious issues have been discovered in the following protocol dissectors :

- Selecting 'Match->Selected' or 'Prepare->Selected' for a malformed SMB packet could cause a segmentation fault.

- It is possible for the Q.931 dissector to dereference a NULL pointer when reading a malformed packet.

Impact :

Both vulnerabilities will make the Ethereal application crash. The Q.931 vulnerability also affects Tethereal. It is not known if either vulnerability can be used to make Ethereal or Tethereal run arbitrary code.

Resolution :

Upgrade to 0.10.0.

If you are running a version prior to 0.10.0 and you cannot upgrade, you can disable the SMB and Q.931 protocol dissectors by selecting Edit->Protocols... and deselecting them from the list.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected ethereal, ethereal-debuginfo and / or ethereal-gnome packages.

See Also


Plugin Details

Severity: High

ID: 13668

File Name: fedora_2003-040.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2004/07/23

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:ethereal, p-cpe:/a:fedoraproject:fedora:ethereal-debuginfo, p-cpe:/a:fedoraproject:fedora:ethereal-gnome, cpe:/o:fedoraproject:fedora_core:1

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2003/12/18

Reference Information

FEDORA: 2003-040